Description: Fix format-security errors
Author: IOhannes m zmölnig
Origin: Debian
Forwarded: https://github.com/SynchromaAE/ekext/pull/1
Last-Update: 2023-07-25
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- pd-ekext.orig/copyarray.c
+++ pd-ekext/copyarray.c
@@ -309,7 +309,7 @@
 	// class_addlist(copyarray_class, copyarray_list);
 #ifndef MAXLIB
     
-    logpost(NULL, 4, version);
+    logpost(NULL, 4, "%s", version);
 #else
     class_sethelpsymbol(copyarray_class, gensym("maxlib/copyarray\\xs-help.pd"));
 #endif
